/* SP */

@media screen and (max-width: 870px) {
    .menu, .icons, .mail-icon, .languageChange, .linkOnTop.showsLink{
        display: none;
    }
    body::before {
        content: "";
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-image: url('../images/photo_bg_01.jpg');
        background-size: 100% auto;
        background-position: top;
        background-repeat: no-repeat;
        z-index: -10;
        opacity: var(--bgOpacity); 
        transition: opacity 0.3s ease-out;
    }

    body {
        width: 100%;
        margin: 0;
        padding: 0;
        background-size: 100%;
        background-repeat: no-repeat;
        background-position: 0 0;
        transition: opacity 0.5s;
    }
    .headerWrapper {
        display: inline-block;
        align-items: center;
        justify-items: left;
        padding: 5px;
    }
    #header {
        display: flex;
        align-items: center;
        
    }
    h1 {
        font-size: 16px;
    }
    #top h2 {
        margin: 10px 0;
    }
    .drawerContainer{
        display: inline-block;
    }
    .languageChange.spOnly {
        display: flex;
        justify-content: right;
    }
    .langButton.EN.spOnly,.langButton.JP.spOnly{
        display:inline-block;
    }
    .drawerIcons .icons, .mail-icon.spOnly, .functionline {
        display: flex;
    }
    .drawerIcons .icons-item{
        margin-right: 10px;
    }
    .mail-icon.spOnly{
        margin-left: 25px;
    }
    main {
        margin-top: 60vh; 
        padding: 0 5px;
        background-color: var(--white);
        position: relative;
        z-index: 1;
        min-height: 100vh; 
    }

    body.content-mode main {
        margin-top: 0px;
    }

    body.content-mode::before {
        display: none; 
    }
    #showMore {
        display: inline-block;
        margin-top: 10px;
        margin-left: 10px;
        color: var(--green);
        font-size: 15px;
        font-weight: bold;
    }
    .about,.lessonLink {
        cursor: pointer;
    }
    .grid-row{
        display: block;
        margin-top: 0px;
    }
    .grid-item{
        width: 100%;
        margin-bottom: 20px;
    }
    .grid-text, .about-content {
        margin: 0 0px 0 0px;
    }

    .grid-item.oneColumn{
        width: 100%;    
    }
    .upcomingDate, .upcomingDetail {
        display: block;
    }
    .upcomingItem:nth-of-type(n+5) {
        display: none;
    }
    .upcomingTitle,.upcomingVenue{
        display: block;
        padding-top: 3px;
    }
   .topSpotify{
    padding: 0px 0px 0 0;
    }
    .topSpotify iframe{
        width: 100%;
        height: 152px;
    }
    .topSpotify h2 {
        margin-bottom: 10px;
    } 

    .about,.grid-item.lessonLink a{
        display: block;
        width: 100%;
        align-items:start;
        justify-content: left;
    }
    .top-image {
        width: 60%;
        margin: 0px 0px 0px 0px;
    }
    svg {
        width: 22px;
    }

    iframe {
        height: 500px;
        width: 100%;
    }

    .profile-image {
        width: 320px;
    }


    .schedules{
        margin-block-start: 0em;
        margin-block-end: 0em;
        padding-inline-start: 0px;
        padding: 0 5px;
    }
    #pastSelect {
        margin: 10px auto;
        gap: 20px;
    }
    #yearPreview, #yearNow, #yearForward {
        font-size: 13px;
    }
    .tabnav {
        margin: 0 auto;
        width: 290px;
    }

    .tabnav li {
        margin: 5px 0;
    }

    .tabnav li a {
        width: 40px;
    }

    .tablesson {
        margin: 0 auto;
        width: 290px;
    }

    .tablesson li {
        margin: 5px 0;
    }

    .tablesson li a {
        font-size: 10px;
        width: 70px;
    }
    .contents_box .contents {
        width: 100%;
    }
    .contents_box iframe {
        width: 100%;
        height: 160px;
    }

    .nav_item {
        font-size: var(--fSizeSP);
        padding-top: 10px;
        padding-bottom: 10px;

    }
    /* Biography */
    .profile-image {
        width: 50%;
    }
    .bioAlbum {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: left;
        align-items: start;
        margin: 20px 0;
    }
    .bioAlbumImg{
        width: 30%;
        margin-bottom: 10px;
    }
    .bioAlbumText {
        padding-left: 0;
    }
    .bioTitle, .discoTitle {
        width: 90%;
        font-size: 20px;
    }
    .bioAlbumText {
        flex-wrap: wrap;
        
    }
    #bioWorksList li {
    display: block;
    margin: 5px 0;
    }
    .bioArt {
        margin: 20px 0;
        padding: 20px 0;
    }
 
    .bioArtImgWrapper {
        justify-content: center;
    }
    .bioArtImg {
        width: 48%;
        height: 180px;
    }
    .bioArtVideoWrapper {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
        .video-container {
            display: block;
            width: 90%;
            margin: 0 auto;
        }

    .video-container iframe {
        width: 100%;
        aspect-ratio: 16 / 9;
        height: auto;         
        border-radius: var(--baseRadius);
        border: none;
    }

    .discoListItem, .workListItem {
        display: flex;
        flex-direction: column;
        padding: 5px;
        gap: 5px;
        border-bottom: 1px solid #606060;
    }
    .discoText, .workText, .discoDate, .workDate, .workLink {
        margin-left: 0px;
    }
    .discoCredits::after{
       content: "";
    }
    .discoDate::before, .workText::before {
        content: "";
    }
    .workText::after {
        content: "";
    }
    .contact-text {
        text-align: left;
        line-height: 1.5;
    }

    textarea {
      width: 95%;
      height: 120px;
    }
}

